Package com.opensymphony.module.sitemesh.parser

# Class PageRequest

java.lang.Object
javax.servlet.ServletRequestWrapper
javax.servlet.http.HttpServletRequestWrapper
com.opensymphony.module.sitemesh.parser.PageRequest

All Implemented Interfaces:
  `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

class PageRequest extends javax.servlet.http.HttpServletRequestWrapper

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`method`
`private String`
`pathInfo`
`private String`
`pathTranslated`
`private String`
`queryString`
`private String`
`requestURI`
`private String`
`servletPath`

### Fields inherited from interface javax.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`PageRequest(javax.servlet.http.HttpServletRequest request)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
`String`
`getPathInfo()`
`String`
`getPathTranslated()`
`String`
`getQueryString()`
`String`
`getRequestURI()`
`String`
`getServletPath()`

### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

`authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getPart, getParts, getRemoteUser, getRequestedSessionId, getRequestURL, getSession, getSession, getTrailerFields, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from class javax.servlet.ServletRequestWrapper

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

## Field Details

### requestURI

private String requestURI

### method

private String method

### pathInfo

private String pathInfo

### pathTranslated

private String pathTranslated

### queryString

private String queryString

### servletPath

private String servletPath

## Constructor Details

### PageRequest

public PageRequest(javax.servlet.http.HttpServletRequest request)

## Method Details

### getRequestURI

public String getRequestURI()

Specified by:
  `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getRequestURI` in class `javax.servlet.http.HttpServletRequestWrapper`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getMethod` in class `javax.servlet.http.HttpServletRequestWrapper`

### getPathInfo

public String getPathInfo()

Specified by:
  `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getPathInfo` in class `javax.servlet.http.HttpServletRequestWrapper`

### getPathTranslated

public String getPathTranslated()

Specified by:
  `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getPathTranslated` in class `javax.servlet.http.HttpServletRequestWrapper`

### getQueryString

public String getQueryString()

Specified by:
  `getQueryString` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getQueryString` in class `javax.servlet.http.HttpServletRequestWrapper`

### getServletPath

public String getServletPath()

Specified by:
  `getServletPath` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getServletPath` in class `javax.servlet.http.HttpServletRequestWrapper`